<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.miniapp.WashDeviceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.miniapp.WashDevice">
        <result column="station_id" property="stationId" />
        <result column="product_key" property="productKey" />
        <result column="device_name" property="deviceName" />
        <result column="functions" property="functions" />
        <result column="state" property="state" />
        <result column="fault_reason" property="faultReason" />
        <result column="fsm_state" property="fsmState" />
        <result column="uptime_ms" property="uptimeMs" />
        <result column="has_water" property="hasWater" />
        <result column="has_foam" property="hasFoam" />
        <result column="temperature_chip" property="temperatureChip" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        station_id, product_key, device_name, functions, state, fault_reason, fsm_state, uptime_ms, has_water, has_foam, temperature_chip
    </sql>

</mapper>
